#!/usr/bin/env python

"""
Generic prettyprinted text serialiser.

Copyright (C) 2023 Paul Boddie <paul@boddie.org.uk>

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details.

You should have received a copy of the GNU General Public License along with
this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from moinformat.serialisers.common import Serialiser as CommonSerialiser

class Serialiser(CommonSerialiser):

    "Serialisation of nodes for inspection."

    def container(self, container):

        "Visit all nodes in 'container'."

        if container.nodes:
            self.output.indent += "  "
            for node in container.nodes:
                self.visit(node)
            self.output.indent = self.output.indent[:-2]

# vim: tabstop=4 expandtab shiftwidth=4
